corda / net.corda.flows / BroadcastTransactionFlow / <init>

# <init>

`BroadcastTransactionFlow(notarisedTransaction: SignedTransaction, participants: Set<Party>)`

Notify the specified parties about a transaction. The remote peers will download this transaction and its dependency graph, verifying them all. The flow returns when all peers have acknowledged the transactions as valid. Normally you wouldn't use this directly, it would be called via FinalityFlow.

### Parameters

`notarisedTransaction` - transaction which has been notarised (if needed) and is ready to notify nodes about.

`participants` - a list of participants involved in the transaction.

Return
a list of participants who were successfully notified of the transaction.